curl --request PATCH \
--url https://api.example.com/v2/support-tickets/{id}/comments/{comment_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticket_type": "DISPUTE",
"reason": "INCORRECT_AMOUNT",
"description": "<string>",
"resolution_note": "<string>"
}
'{
"id": 123,
"created_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"status": "OPEN",
"status_display": "<string>",
"reason": "INCORRECT_AMOUNT",
"reason_display": "<string>",
"resolved_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"resolved_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entities": [
{
"id": 123,
"entity_type": "<string>",
"entity_id": 1073741823
}
],
"comments": [
{
"id": 123,
"author": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"content": "<string>",
"sequence": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"ticket_type": "DISPUTE",
"description": "<string>",
"resolution_note": "<string>"
}Update a support ticket comment.
curl --request PATCH \
--url https://api.example.com/v2/support-tickets/{id}/comments/{comment_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticket_type": "DISPUTE",
"reason": "INCORRECT_AMOUNT",
"description": "<string>",
"resolution_note": "<string>"
}
'{
"id": 123,
"created_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"status": "OPEN",
"status_display": "<string>",
"reason": "INCORRECT_AMOUNT",
"reason_display": "<string>",
"resolved_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"resolved_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entities": [
{
"id": 123,
"entity_type": "<string>",
"entity_id": 1073741823
}
],
"comments": [
{
"id": 123,
"author": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"content": "<string>",
"sequence": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"ticket_type": "DISPUTE",
"description": "<string>",
"resolution_note": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
^\d+$A unique integer value identifying this support ticket.
DISPUTE - DisputeSUPPORT - SupportINQUIRY - InquiryDISPUTE, SUPPORT, INQUIRY INCORRECT_AMOUNT - Incorrect AmountWRONG_VEHICLE - Wrong VehicleDUPLICATE_CHARGE - Duplicate ChargeNOT_MY_TOLL - Not My TollALREADY_PAID - Already PaidOTHER - OtherINCORRECT_AMOUNT, WRONG_VEHICLE, DUPLICATE_CHARGE, NOT_MY_TOLL, ALREADY_PAID, OTHER Show child attributes
OPEN - OpenUNDER_REVIEW - Under ReviewAPPROVED - ApprovedDENIED - DeniedCANCELLED - CancelledRESOLVED - ResolvedOPEN, UNDER_REVIEW, APPROVED, DENIED, CANCELLED, RESOLVED INCORRECT_AMOUNT - Incorrect AmountWRONG_VEHICLE - Wrong VehicleDUPLICATE_CHARGE - Duplicate ChargeNOT_MY_TOLL - Not My TollALREADY_PAID - Already PaidOTHER - OtherINCORRECT_AMOUNT, WRONG_VEHICLE, DUPLICATE_CHARGE, NOT_MY_TOLL, ALREADY_PAID, OTHER Show child attributes
Show child attributes
Show child attributes
DISPUTE - DisputeSUPPORT - SupportINQUIRY - InquiryDISPUTE, SUPPORT, INQUIRY Was this page helpful?